function schedule(time){
    setTimeout(function(){
        process.emit('sch.time.done');
    }, time);
}

function getDiffTime(params){
    if(params.currentTime === undefined){
        params.currentTime = new Date();
    }
    return Math.abs(params.currentTime - params.targetTime);
}

module.exports = {
    scheduleSeconds: schedule(time*1000),
    scheduleMilliseconds : schedule(time),
    diff: getDiffTime(params)
}