var express = require('express');
var router = express.Router();

var messages = require('./messages');

// MESSAGES
// ------------------------------

router.route('/messages')
.get(messages.showAll);

router.route('/message')
.put();

router.route('/message/:id')
.get()
.patch()
.delete();

/* GET home page. */
/*router.get('/messages/', function(req, res, next) {
  res.render('index', { title: 'Express' });
});*/


module.exports = router;