'use strict';

var crypto = require('crypto');

var _algorithm = 'aes-256-ctr',
    _password;

var _self = {};

function init(params){
    
    if(params !== undefined && params.password !== undefined){
        
        if(params !== undefined && params.algorithm !== undefined){
            
            _algorithm = params.algorithm;
            
        }
        
        _password = params.password; 
        
        return _self;
    }
    
    return;
}

_self.encrypt = function(data){
    
    if(data !== undefined){      
        var cipher = crypto.createCipher(_algorithm,_password);
        
        var encrypted = cipher.update(data,'utf8','hex')
        encrypted += cipher.final('hex');
        
        return encrypted;
        
    }
    
    return;
}

_self.decrypt = function(data){
    
    if(data !== undefined){
        var decipher = crypto.createDecipher(_algorithm,_password);
        
        var decrypted = decipher.update(data,'hex','utf8');
        decrypted += decipher.final('utf8');
        
        return decrypted;
    }
    
    return;
}

module.exports = init;