var _self = {};

function _schedule(time, callable, extra){
    if(time !== undefined){
        var delay = time - new Date().getTime();
        setTimeout(function(){
            callable(extra);
        }, delay);
        
        return delay;
    }
}

_self.milliseconds = function(params){
    if(params !== undefined && params.time !== undefined && params.callable !== undefined){
        return _schedule(params.time, params.callable);    
    }
    
    return;
};

_self.seconds = function(params){
    if(params !== undefined && params.time !== undefined && params.callable !== undefined){
        return _schedule(params.time * 1000, params.callable, params.extra);
    }
    
    return;
};

_self.remainingTime = function(params){
    if(params.currentTime === undefined){
        params.currentTime = new Date();
    }
    
    return Math.abs(params.currentTime - params.targetTime);
}

module.exports = _self;