//####### Example of bot file ##########

//Modules
var fs = require('fs'),
    path = require('path'),
    console = require('console'),
    configuration = require('./modules/configuration'),
    events = require('events').EventEmitter,
    mongoose = require('mongoose'),
    loader = require('./modules/loader');

var ee = new events();

var globalConfig = JSON.parse(fs.readFileSync(process.pwd()+'/config.json'));

if(!globalConfig.installed){

}

var bd = 'mongodb://'+globalConfig.db_params.user+':'+globalConfig.db_params.pass+'@'+globalConfig.db_params.address+':'+globalConfig.db_params.port+'/'+globalConfig.db_params.db_name;

mongoose.connect();

//location of config file loaded from global config
configuration.create({loader: loader, mongoose: mongoose});

//configuration.install({mongoose: mongoose, configFile: process.cwd()+'/config/bot.json', loader: loader});

//New api action invoked
process.addListener('api.action', function (data) {
    console.info('action detected');
    ee.emit(data.route.type, data);
});

process.addListener('log', function(data){
    console.info(JSON.stringify(data));
});

//Events for routes
ee.on('job', function(data){
    //configuration.send(JSON.stringify({type: 'job', status: 'ok'}));
    var parsed = JSON.parse(data.data);
    configuration.send(JSON.stringify({type: 'job', status: 'ok'}));
});

ee.on('config', function(data){
    configuration.send(JSON.stringify({type: 'config', status: 'ok'}));
});

ee.on('extra', function(data){
    configuration.send(JSON.stringify({type: 'extra', status: 'ok'}));
});


/*var db = mongoose.connection;
db.on('error', console.error.bind(console, 'connection error:'));
db.once('open', function (callback) {
    var Route = mongoose.model('Route', require('./schema/route'));
    var route = new Route({type: 'asd', prefix: 'ss', verb: 'ss', name: 'ss'});
    route.save(function (err) {
        if(err){
            console.info('ERROR');
        }
    });
});*/