'use strict';

var _self = {};

//modules used
var http = require('http');

//module vars
var server;

function init(params){
	
	if(params !== undefined && params.receive !== undefined && params.send !== undefined){
		server = http.createServer(function(request, response) {
			var fullBody = '';
	
		    request.on('data', function(chunk){
		        fullBody += chunk.toString();
		    });
		
		    request.on('end', function(){
		        request.body = fullBody;

				params.receive(request);

				params.send(response);

				response.end();
		    });
			
		});
	
		server.listen(80);
	
		return _self;
	}

}

module.exports = init;